ICanvas GetHeight and GetWidth doesn't work
2019-08-26 13:45 - hidden

Status: Closed
Priority: Normal
Category:
Customer: AUDI Product Issue
Numbers:
Department: EF Affected Products: ADTF Display Toolbox 3.3.0
Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 10 64bit
Support Level: 3rd Level Topic: DisplayTB::Common
Resolution: Solved Issue FAQ Links:
Description
Supportanfrage

In der Draw-Methode bekomme ich das ICanvas Ubergeben.
Wenn ich die Abmessungen herausfinden méchte (wichtig z.B. zur Platzierung einer Legende), bekomme ich unplausible
Ergebnisse, teilweise negativ.

int height = pCanvas->GetHeight();
int width = pCanvas->GetWidth();

Koénnt ihr das bestatigen?
Getestet unter Windows?
*Ldsung

Wird in der 3.4.0 einen Hotfix geben

History

#1 - 2019-08-27 13:49 - hidden

- Project changed from Public Support to 11

- Topic set to Display TB::Common

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF Display Toolbox 3.3.0 added

#2 - 2019-08-27 14:29 - hidden

Schau dir das mal bitte an

#4 - 2019-09-02 17:47 - hidden
- Support Level changed from 2nd Level to 3rd Level

#5 - 2019-09-03 13:55 - hidden

- Status changed from New to In Progress

Hallo Jens,

das ist in der Tat so. Ich werde noch einen Hoffix in die 3.4.0 packen.

Viele GriBe
Sebastian
#6 - 2019-09-04 08:57 - hidden
- Status changed from In Progress to To Be Closed
- Resolution set to Solved Issue

- Platform Ubuntu 16.04 64bit, Windows 10 64bit added

#7 - 2020-01-16 16:02 - hidden
- Description updated

- Status changed from To Be Closed to Closed

#8 - 2020-01-16 16:02 - hidden
- Subject changed from adftf-display-toolbox 3.3.0: ICanvas GetHeight and GetWidth doesn't work to ICanvas GetHeight and GetWidth doesn't work

#9 - 2020-01-16 16:02 - hidden
- Project changed from 11 to Public Support

- Private changed from Yes to No
